Mise a jour YunoHost (OVH)

Bonjour,

Mon serveur YunoHost

Matériel: OVH
Version de YunoHost: 3.8.5.7
J’ai accès à mon serveur : En SSH | Par la webadmin
Êtes-vous dans un contexte particulier ou avez-vous effectué des modifications particulières sur votre instance ? : non

j’ai essaye de lancer une mise a jour via l’interface web, mais je rencontre une erreur :

args:
apps: null
system: true
ended_at: 2021-06-10 13:50:35.818419
error: “Impossible de mettre \xE0 jour tous les paquets”
operation: tools_upgrade
related_to: []
started_at: 2021-06-10 13:50:33.126954
success: false
yunohost_version: 3.8.5.7

============

2021-06-10 13:50:33,134: INFO - Mise à jour des paquets du système (non liés a YunoHost)…
2021-06-10 13:50:33,675: DEBUG - Running apt command :
DEBIAN_FRONTEND=noninteractive APT_LISTCHANGES_FRONTEND=none apt-get --fix-broken --show-upgraded --assume-yes --quiet -o=Dpkg::Use-Pty=0 -o Dpkg::Options::="–force-confold" -o Dpkg::Options::="–force-confmiss" -o Dpkg::Options::="–force-confdef" dist-upgrade
2021-06-10 13:50:33,781: INFO - + Reading package lists…
2021-06-10 13:50:33,983: INFO - + Building dependency tree…
2021-06-10 13:50:33,984: INFO - + Reading state information…
2021-06-10 13:50:34,084: INFO - + Calculating upgrade…
2021-06-10 13:50:34,085: INFO - + The following packages were automatically installed and are no longer required:
2021-06-10 13:50:34,085: INFO - + linux-image-4.9.0-12-amd64 linux-image-4.9.0-13-amd64
2021-06-10 13:50:34,086: INFO - + linux-image-4.9.0-4-amd64 php7.0-bcmath php7.0-zip
2021-06-10 13:50:34,086: INFO - + Use ‘apt autoremove’ to remove them.
2021-06-10 13:50:34,188: INFO - + The following NEW packages will be installed:
2021-06-10 13:50:34,188: INFO - + php8.0-common php8.0-mcrypt
2021-06-10 13:50:34,189: INFO - + The following packages have been kept back:
2021-06-10 13:50:34,190: INFO - + ssowat yunohost yunohost-admin
2021-06-10 13:50:34,192: INFO - + The following packages will be upgraded:
2021-06-10 13:50:34,192: INFO - + libpcre2-8-0 libpcre3 libpcrecpp0v5 libzip4 php-common php-mcrypt php-pear
2021-06-10 13:50:34,192: INFO - + php7.0-bcmath php7.0-cli php7.0-common php7.0-curl php7.0-fpm php7.0-gd
2021-06-10 13:50:34,193: INFO - + php7.0-intl php7.0-json php7.0-ldap php7.0-mbstring php7.0-mcrypt
2021-06-10 13:50:34,193: INFO - + php7.0-mysql php7.0-opcache php7.0-readline php7.0-xml php7.0-zip php7.3
2021-06-10 13:50:34,196: INFO - + php7.3-bcmath php7.3-cli php7.3-common php7.3-curl php7.3-fpm php7.3-gd
2021-06-10 13:50:34,196: INFO - + php7.3-json php7.3-ldap php7.3-mbstring php7.3-mysql php7.3-opcache
2021-06-10 13:50:34,196: INFO - + php7.3-readline php7.3-xml php7.3-zip
2021-06-10 13:50:34,397: INFO - + 38 upgraded, 2 newly installed, 0 to remove and 3 not upgraded.
2021-06-10 13:50:34,398: INFO - + Need to get 9,263 kB/10.4 MB of archives.
2021-06-10 13:50:34,398: INFO - + After this operation, 8,280 kB of additional disk space will be used.
2021-06-10 13:50:34,399: INFO - + Err:1 https://packages.sury.org/php stretch/main amd64 php8.0-common amd64 8.0.3-1+0~20210305.17+debian9~1.gbp899a74
2021-06-10 13:50:34,399: INFO - + 404 Not Found
2021-06-10 13:50:34,399: INFO - + Err:2 https://packages.sury.org/php stretch/main amd64 php7.0-common amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:34,400: INFO - + 404 Not Found
2021-06-10 13:50:34,500: INFO - + Err:3 https://packages.sury.org/php stretch/main amd64 php7.0-intl amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:34,501: INFO - + 404 Not Found
2021-06-10 13:50:34,501: INFO - + Err:4 https://packages.sury.org/php stretch/main amd64 php7.0-xml amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:34,501: INFO - + 404 Not Found
2021-06-10 13:50:34,502: INFO - + Err:5 https://packages.sury.org/php stretch/main amd64 php7.0-bcmath amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:34,502: INFO - + 404 Not Found
2021-06-10 13:50:34,502: INFO - + Err:6 https://packages.sury.org/php stretch/main amd64 php7.0-json amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:34,503: INFO - + 404 Not Found
2021-06-10 13:50:34,603: INFO - + Err:7 https://packages.sury.org/php stretch/main amd64 php7.0-zip amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:34,604: INFO - + 404 Not Found
2021-06-10 13:50:34,604: INFO - + Err:8 https://packages.sury.org/php stretch/main amd64 php7.0-fpm amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:34,604: INFO - + 404 Not Found
2021-06-10 13:50:34,605: INFO - + Err:9 https://packages.sury.org/php stretch/main amd64 php7.0-cli amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:34,605: INFO - + 404 Not Found
2021-06-10 13:50:34,706: INFO - + Err:10 https://packages.sury.org/php stretch/main amd64 php7.3-zip amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:34,706: INFO - + 404 Not Found
2021-06-10 13:50:34,707: INFO - + Err:11 https://packages.sury.org/php stretch/main amd64 php7.3-fpm amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:34,707: INFO - + 404 Not Found
2021-06-10 13:50:34,707: INFO - + Err:12 https://packages.sury.org/php stretch/main amd64 php7.3-readline amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:34,708: INFO - + 404 Not Found
2021-06-10 13:50:34,808: INFO - + Err:13 https://packages.sury.org/php stretch/main amd64 php7.3-ldap amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:34,809: INFO - + 404 Not Found
2021-06-10 13:50:34,810: INFO - + Err:14 https://packages.sury.org/php stretch/main amd64 php7.3-cli amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:34,810: INFO - + 404 Not Found
2021-06-10 13:50:34,810: INFO - + Err:15 https://packages.sury.org/php stretch/main amd64 php7.3-mysql amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:34,811: INFO - + 404 Not Found
2021-06-10 13:50:34,911: INFO - + Err:16 https://packages.sury.org/php stretch/main amd64 php7.3-bcmath amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:34,912: INFO - + 404 Not Found
2021-06-10 13:50:34,912: INFO - + Err:17 https://packages.sury.org/php stretch/main amd64 php7.3-gd amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:34,913: INFO - + 404 Not Found
2021-06-10 13:50:34,913: INFO - + Err:18 https://packages.sury.org/php stretch/main amd64 php7.3-xml amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:34,913: INFO - + 404 Not Found
2021-06-10 13:50:35,015: INFO - + Err:19 https://packages.sury.org/php stretch/main amd64 php7.3-opcache amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:35,015: INFO - + 404 Not Found
2021-06-10 13:50:35,016: INFO - + Err:20 https://packages.sury.org/php stretch/main amd64 php7.3-json amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:35,016: INFO - + 404 Not Found
2021-06-10 13:50:35,016: INFO - + Err:21 https://packages.sury.org/php stretch/main amd64 php7.3-mbstring amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:35,017: INFO - + 404 Not Found
2021-06-10 13:50:35,117: INFO - + Err:22 https://packages.sury.org/php stretch/main amd64 php7.3-common amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:35,118: INFO - + 404 Not Found
2021-06-10 13:50:35,118: INFO - + Err:23 https://packages.sury.org/php stretch/main amd64 php7.3-curl amd64 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:35,119: INFO - + 404 Not Found
2021-06-10 13:50:35,119: INFO - + Err:24 https://packages.sury.org/php stretch/main amd64 php7.0-curl amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:35,120: INFO - + 404 Not Found
2021-06-10 13:50:35,220: INFO - + Err:25 https://packages.sury.org/php stretch/main amd64 php7.0-mcrypt amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:35,221: INFO - + 404 Not Found
2021-06-10 13:50:35,221: INFO - + Err:26 https://packages.sury.org/php stretch/main amd64 php7.0-gd amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:35,221: INFO - + 404 Not Found
2021-06-10 13:50:35,222: INFO - + Err:27 https://packages.sury.org/php stretch/main amd64 php7.0-mbstring amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:35,222: INFO - + 404 Not Found
2021-06-10 13:50:35,222: INFO - + Err:28 https://packages.sury.org/php stretch/main amd64 php7.0-opcache amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:35,223: INFO - + 404 Not Found
2021-06-10 13:50:35,323: INFO - + Err:29 https://packages.sury.org/php stretch/main amd64 php7.0-readline amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:35,324: INFO - + 404 Not Found
2021-06-10 13:50:35,325: INFO - + Err:30 https://packages.sury.org/php stretch/main amd64 php7.0-ldap amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:35,325: INFO - + 404 Not Found
2021-06-10 13:50:35,425: INFO - + Err:31 https://packages.sury.org/php stretch/main amd64 php7.0-mysql amd64 7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9
2021-06-10 13:50:35,426: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php8.0/php8.0-common_8.0.3-1+0~20210305.17+debian9~1.gbp899a74_amd64.deb 404 Not Found
2021-06-10 13:50:35,426: INFO - + 404 Not Found
2021-06-10 13:50:35,427: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-common_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,427: INFO - + Err:32 https://packages.sury.org/php stretch/main amd64 php7.3 all 7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6
2021-06-10 13:50:35,427: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-intl_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,428: INFO - + 404 Not Found
2021-06-10 13:50:35,428: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-xml_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,428: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-bcmath_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,429: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-json_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,429: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-zip_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,429: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-fpm_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,430: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-cli_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,430: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-zip_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,430: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-fpm_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,431: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-readline_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,431: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-ldap_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,431: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-cli_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,432: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-mysql_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,432: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-bcmath_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,432: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-gd_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,433: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-xml_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,433: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-opcache_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,433: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-json_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,434: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-mbstring_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,434: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-common_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,434: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3-curl_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_amd64.deb 404 Not Found
2021-06-10 13:50:35,435: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-curl_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,435: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-mcrypt_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,436: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-gd_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,436: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-mbstring_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,436: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-opcache_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,437: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-readline_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,437: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-ldap_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,438: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-mysql_7.0.33-47+0~20210228.54+debian9~1.gbp7f60a9_amd64.deb 404 Not Found
2021-06-10 13:50:35,438: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.3/php7.3_7.3.27-9+0~20210227.82+debian9~1.gbpa4a3d6_all.deb 404 Not Found
2021-06-10 13:50:35,438: WARNING - E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
2021-06-10 13:50:35,817: WARNING - Impossible de mettre à jour les paquets suivants : libpcre2-8-0, libpcre3, libpcrecpp0v5, libzip4, php-common, php-mcrypt, php-pear, php7.0-bcmath, php7.0-cli, php7.0-common, php7.0-curl, php7.0-fpm, php7.0-gd, php7.0-intl, php7.0-json, php7.0-ldap, php7.0-mbstring, php7.0-mcrypt, php7.0-mysql, php7.0-opcache, php7.0-readline, php7.0-xml, php7.0-zip, php7.3, php7.3-bcmath, php7.3-cli, php7.3-common, php7.3-curl, php7.3-fpm, php7.3-gd, php7.3-json, php7.3-ldap, php7.3-mbstring, php7.3-mysql, php7.3-opcache, php7.3-readline, php7.3-xml, php7.3-zip

I am not a Yunohost dev but to me it seems strange your sury package are still “debian stretch” ones.
Haven’t you moved to Buster ?

What version of Debian are you currently on? Most of us are currently on Debian Buster (debian 10).

If this is the case, changing the Sury packages from Stretch to Buster may solve the problem.

But once again I’m not a dev :wink:

j’ai une version 3.8.5.7.
je pense que je suis sous debian 9


I have a version 3.8.5.7.
i think i’m under debian 9

Indeed but since @babgond is still on stretch that makes sense

@babgond : can you run apt update and try again ? This sounds like a temporary issue maybe

$ sudo apt update
Hit:1 http://forge.yunohost.org/debian stretch InRelease
Ign:2 http://deb.debian.org/debian stretch InRelease
Get:3 http://security.debian.org stretch/updates InRelease [53.0 kB]
Get:4 http://deb.debian.org/debian stretch-updates InRelease [93.6 kB]
Hit:5 http://deb.debian.org/debian stretch Release
Err:6 https://packages.sury.org/php stretch InRelease
The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key deb@sury.org
Fetched 147 kB in 0s (268 kB/s)
Reading package lists… Done
Building dependency tree
Reading state information… Done
35 packages can be upgraded. Run ‘apt list --upgradable’ to see them.
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://packages.sury.org/php stretch InRelease: The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key deb@sury.org
W: Failed to fetch https://packages.sury.org/php/dists/stretch/InRelease The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key deb@sury.org
W: Some index files failed to download. They have been ignored, or old ones used instead.

solution :

1 Like